#
# spec file for package yast2-lib-wizard (Version 2.4.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libyui tcl yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-lib-wizard
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
BuildArchitectures:	noarch
Requires:	yast2-trans-wizard
Summary:      YaST2 - UI library
Version:      2.4.10
Release:      36
Source0:	yast2-lib-wizard-2.4.10.tar.bz2

%description
The YaST2 library with commonly used popup dialogs
for general usage as well as often used functions.

Authors:
--------
    gs@suse.de
    sh@suse.de

SuSE series: yast

%package devel
Version:      2.4.10
Release:      36
Summary:      YaST2 - UI library
Group:		Development/Libraries

%description devel
The YaST2 library with commonly used popup dialogs
for general usage as well as often used functions.

Authors:
--------
    gs@suse.de
    sh@suse.de

SuSE series: yast

%prep
%setup -n yast2-lib-wizard-2.4.10

%build
./configure
make

%install
make install
#make check

%files
%dir /usr/lib/YaST2/include/ui
/usr/lib/YaST2/include/ui/*

%files devel
%dir /usr/share/doc/packages/yast2-lib-wizard
/usr/share/doc/packages/yast2-lib-wizard/*

%changelog -n yast2-lib-wizard
* Thu Sep 20 2001 - sh@suse.de
- V 2.4.10
- Fixed bug #9750: Glyphs cut off in NCurses
* Fri Sep 14 2001 - mvidner@suse.cz
- Popup{File,Dir} not `defaultsize; would fail with sh's fix of #9915 (2.4.8)
- V 2.4.8
* Fri Sep 14 2001 - kkaempf@suse.de
- correctly pass headline from WFM to UI (#10502).
- correctly pass file_contents from WFM to UI (#10503).
* Fri Sep 07 2001 - sh@suse.de
- V 2.4.7
- Improved kbd focus handling for simple popups (jbuch)
* Thu Aug 23 2001 - pblahos@suse.cz
- New function ProgressCaptionUI to change progress caption.
- V 2.4.6
* Mon Jul 30 2001 - pblahos@suse.cz
- New function wizard_hw.ycp::HwCreateConfiguredContent to create
  content of screen with configured items.
- V 2.4.5
* Thu Jul 26 2001 - kendy@suse.cz
- Fix in wizard_hw.ycp (`id() for RichText)
- V 2.4.4
* Wed Jul 25 2001 - kendy@suse.cz
- Added file wizard_hw.ycp. It contains/will contain functions
  for common look of the hardware configuration modules.
- V 2.4.3
* Wed Jul 18 2001 - sh@suse.de
- V 2.4.2
  Added more summary...() functions in summary.ycp
* Wed Jul 11 2001 - sh@suse.de
- V 2.4.1
  progress.ycp now uses glyphs for better looks
* Fri May 18 2001 - sh@suse.de
- V 2.3.9
- Changed ReallyAbortPopup() to yes/no question
  upon kkampf's request
* Mon May 07 2001 - gs@suse.de
- comments added to messages (for translations)
- !isnil() changed to != nil
* Thu Apr 26 2001 - kkaempf@suse.de
- require "yast2-trans-wizard"
* Mon Apr 23 2001 - sh@suse.de
- V 2.3.6
  Fix for bug #7013: "Abort" button not functional
  New functions: DisableWizardAbortButton(), Enable...()
  SetWizardContents() automatically re-enables the "Abort" button
* Fri Apr 13 2001 - kendy@suse.cz
- Added support for summary modules.
- V 2.3.5
* Wed Apr 11 2001 - sh@suse.de
- V 2.3.4
  Added ShowFilePopup()
  Added examples
  Rearranged function doc according to new ycpdoc
* Thu Apr 05 2001 - sh@suse.de
- V 2.3.3
  Used new Image widget option `zeroWidth to avoid permanent
  complaints about title graphics not getting their nice size
* Thu Apr 05 2001 - sh@suse.de
- V 2.3.2
  Moved SetWizardStage() from UI context to WFM context
* Thu Mar 22 2001 - gs@suse.de
- file list changed / package rename
* Thu Nov 23 2000 - kkaempf@suse.de
- initial version
